JobMediaSheetsSupported (Java Platform SE 8 )
Keywords: javax.print.attribute.standard.JobMediaSheetsSupported class
Date: 2015-05-24

javax.print.attribute.standard

## Class JobMediaSheetsSupported

- java.lang.Object
- - javax.print.attribute.SetOfIntegerSyntax
  - - javax.print.attribute.standard.JobMediaSheetsSupported

- All Implemented Interfaces:
    Serializable, Cloneable, Attribute, SupportedValuesAttribute

      public final class JobMediaSheetsSupported
      extends SetOfIntegerSyntax
      implements SupportedValuesAttribute

  Class JobMediaSheetsSupported is a printing attribute class, a set of integers, that gives the supported values for a `JobMediaSheets` attribute. It is restricted to a single contiguous range of integers; multiple non-overlapping ranges are not allowed. This gives the lower and upper bounds of the total sizes of print jobs in number of media sheets that the printer will accept.

  IPP Compatibility: The JobMediaSheetsSupported attribute's canonical array form gives the lower and upper bound for the range of values to be included in an IPP "job-media-sheets-supported" attribute. See class `SetOfIntegerSyntax` for an explanation of canonical array form. The category name returned by `getName()` gives the IPP attribute name.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobMediaSheetsSupported(int lowerBound, int upperBound)` Construct a new job media sheets supported attribute containing a single range of integers.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object object)` Returns whether this job media sheets supported attribute is equivalent to the passed in object.
    `Class<? extends Attribute>` | `getCategory()` Get the printing attribute class which is to be used as the "category" for this printing attribute value.
    `String` | `getName()` Get the name of the category of which this attribute value is an instance.

    - ### Methods inherited from class javax.print.attribute.SetOfIntegerSyntax

      `contains, contains, getMembers, hashCode, next, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JobMediaSheetsSupported

          public JobMediaSheetsSupported(int lowerBound,
                                         int upperBound)

      Construct a new job media sheets supported attribute containing a single range of integers. That is, only those values of JobMediaSheets in the one range are supported.
      Parameters:
        `lowerBound` - Lower bound of the range.
        `upperBound` - Upper bound of the range.
      Throws:
        `IllegalArgumentException` - (Unchecked exception) Thrown if a null range is specified or if a non-null range is specified with `lowerBound` less than 0.

  - ### Method Detail

    - #### equals

          public boolean equals(Object object)

      Returns whether this job media sheets supported attribute is equivalent to the passed in object. To be equivalent, all of the following conditions must be true:
      1. `object` is not null.
      2. `object` is an instance of class JobMediaSheetsSupported.
      3. This job media sheets supported attribute's members and `object`'s members are the same.
      Overrides:
        `equals` in class `SetOfIntegerSyntax`
      Parameters:
        `object` - Object to compare to.
      Returns:
        True if `object` is equivalent to this job media sheets supported attribute, false otherwise.
      See Also:
        `Object.hashCode()`, `HashMap`

    - #### getCategory

          public final Class<? extends Attribute> getCategory()

      Get the printing attribute class which is to be used as the "category" for this printing attribute value.

      For class JobMediaSheetsSupported, the category is class JobMediaSheetsSupported itself.

      Specified by:
        `getCategory` in interface `Attribute`
      Returns:
        Printing attribute class (category), an instance of class `java.lang.Class`.

    - #### getName

          public final String getName()

      Get the name of the category of which this attribute value is an instance.

      For class JobMediaSheetsSupported, the category name is `"job-media-sheets-supported"`.

      Specified by:
        `getName` in interface `Attribute`
      Returns:
        Attribute category name.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.